"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebhookIdentityType = exports.onActivityCounterUpdated = exports.queryActivityCounters = exports.getActivityCounters = exports.incrementActivityCounters = exports.setActivityCounters = exports.__metadata = void 0;
const rename_all_nested_keys_1 = require("@wix/sdk-runtime/rename-all-nested-keys");
const timestamp_1 = require("@wix/sdk-runtime/transformations/timestamp");
const transform_paths_1 = require("@wix/sdk-runtime/transformations/transform-paths");
const sdk_types_1 = require("@wix/sdk-types");
const members_v1_activity_counter_activity_counters_universal_js_1 = require("./members-v1-activity-counter-activity-counters.universal.js");
exports.__metadata = { PACKAGE_NAME: '@wix/activity-counters' };
function setActivityCounters(httpClient) {
    return (memberId, counter) => (0, members_v1_activity_counter_activity_counters_universal_js_1.setActivityCounters)(memberId, counter, 
    // @ts-ignore
    { httpClient });
}
exports.setActivityCounters = setActivityCounters;
function incrementActivityCounters(httpClient) {
    return (memberId, counter) => (0, members_v1_activity_counter_activity_counters_universal_js_1.incrementActivityCounters)(memberId, counter, 
    // @ts-ignore
    { httpClient });
}
exports.incrementActivityCounters = incrementActivityCounters;
function getActivityCounters(httpClient) {
    return (memberId) => (0, members_v1_activity_counter_activity_counters_universal_js_1.getActivityCounters)(memberId, 
    // @ts-ignore
    { httpClient });
}
exports.getActivityCounters = getActivityCounters;
function queryActivityCounters(httpClient) {
    return () => (0, members_v1_activity_counter_activity_counters_universal_js_1.queryActivityCounters)(
    // @ts-ignore
    { httpClient });
}
exports.queryActivityCounters = queryActivityCounters;
exports.onActivityCounterUpdated = (0, sdk_types_1.EventDefinition)('wix.members.v1.activity_counter_updated', true, (event) => (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(event, [
    {
        transformFn: timestamp_1.transformRESTTimestampToSDKTimestamp,
        paths: [{ path: 'metadata.eventTime' }],
    },
])))();
var members_v1_activity_counter_activity_counters_universal_js_2 = require("./members-v1-activity-counter-activity-counters.universal.js");
Object.defineProperty(exports, "WebhookIdentityType", { enumerable: true, get: function () { return members_v1_activity_counter_activity_counters_universal_js_2.WebhookIdentityType; } });
//# sourceMappingURL=members-v1-activity-counter-activity-counters.public.js.map