import { setActivityCounters as publicSetActivityCounters, incrementActivityCounters as publicIncrementActivityCounters, getActivityCounters as publicGetActivityCounters, queryActivityCounters as publicQueryActivityCounters, } from './members-v1-activity-counter-activity-counters.public.js';
import { createRESTModule } from '@wix/sdk-runtime/rest-modules';
import { createEventModule } from '@wix/sdk-runtime/event-definition-modules';
import { onActivityCounterUpdated as publicOnActivityCounterUpdated } from './members-v1-activity-counter-activity-counters.public.js';
export const setActivityCounters = /*#__PURE__*/ createRESTModule(publicSetActivityCounters);
export const incrementActivityCounters = /*#__PURE__*/ createRESTModule(publicIncrementActivityCounters);
export const getActivityCounters = /*#__PURE__*/ createRESTModule(publicGetActivityCounters);
export const queryActivityCounters = /*#__PURE__*/ createRESTModule(publicQueryActivityCounters);
/**
 * Triggered when a member's activity counter is updated.
 */
export const onActivityCounterUpdated = createEventModule(publicOnActivityCounterUpdated);
export { WebhookIdentityType } from './members-v1-activity-counter-activity-counters.universal.js';
//# sourceMappingURL=members-v1-activity-counter-activity-counters.context.js.map