import * as ambassadorWixMembersV1ActivityCounter from './members-v1-activity-counter-activity-counters.http.js';
export function setActivityCounters() {
    const payload = { memberId: ':memberId' };
    const getRequestOptions = ambassadorWixMembersV1ActivityCounter.setActivityCounters(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'PUT',
        path: '/v1/activity-counters/{memberId}',
        pathParams: { memberId: 'memberId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function incrementActivityCounters() {
    const payload = { memberId: ':memberId' };
    const getRequestOptions = ambassadorWixMembersV1ActivityCounter.incrementActivityCounters(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'PUT',
        path: '/v1/activity-counters/{memberId}/increment',
        pathParams: { memberId: 'memberId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function getActivityCounters() {
    const payload = { memberId: ':memberId' };
    const getRequestOptions = ambassadorWixMembersV1ActivityCounter.getActivityCounters(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/v1/activity-counters/{memberId}',
        pathParams: { memberId: 'memberId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function queryActivityCounters() {
    const payload = {};
    const getRequestOptions = ambassadorWixMembersV1ActivityCounter.queryActivityCounters(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v1/activity-counters/query',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
//# sourceMappingURL=members-v1-activity-counter-activity-counters.meta.js.map