"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.queryActivityCounters = exports.getActivityCounters = exports.incrementActivityCounters = exports.setActivityCounters = void 0;
const ambassadorWixMembersV1ActivityCounter = __importStar(require("./members-v1-activity-counter-activity-counters.http.js"));
function setActivityCounters() {
    const payload = { memberId: ':memberId' };
    const getRequestOptions = ambassadorWixMembersV1ActivityCounter.setActivityCounters(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'PUT',
        path: '/v1/activity-counters/{memberId}',
        pathParams: { memberId: 'memberId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.setActivityCounters = setActivityCounters;
function incrementActivityCounters() {
    const payload = { memberId: ':memberId' };
    const getRequestOptions = ambassadorWixMembersV1ActivityCounter.incrementActivityCounters(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'PUT',
        path: '/v1/activity-counters/{memberId}/increment',
        pathParams: { memberId: 'memberId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.incrementActivityCounters = incrementActivityCounters;
function getActivityCounters() {
    const payload = { memberId: ':memberId' };
    const getRequestOptions = ambassadorWixMembersV1ActivityCounter.getActivityCounters(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/v1/activity-counters/{memberId}',
        pathParams: { memberId: 'memberId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.getActivityCounters = getActivityCounters;
function queryActivityCounters() {
    const payload = {};
    const getRequestOptions = ambassadorWixMembersV1ActivityCounter.queryActivityCounters(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v1/activity-counters/query',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.queryActivityCounters = queryActivityCounters;
//# sourceMappingURL=members-v1-activity-counter-activity-counters.meta.js.map